Subject: bug#53606: closed (Re: bug#53606: 29.0.50; Very slow Customize buffer for bibtex-biblatex-entry-alist)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Feb 2025 11:15:02 +0000

Your bug report

#53606: 29.0.50; Very slow Customize buffer for bibtex-biblatex-entry-alist

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53606: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=53606
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53606: 29.0.50; Very slow Customize buffer for bibtex-biblatex-entry-alist
From: Eli Zaretskii <[email-masked]>
To: Mauro Aranda <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 22 Feb 2025 13:13:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 22 Feb 2025 06:37:10 -0300
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> From: Mauro Aranda <[email-masked]>
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>  >> Date: Fri, 7 Feb 2025 07:45:17 -0300
>  >> Cc: Roland Winkler <[email-masked]>, Eli Zaretskii <[email-masked]>,
>  >>  Lars Ingebrigtsen <[email-masked]>, Ihor Radchenko 
> <[email-masked]>
>  >> From: Mauro Aranda <[email-masked]>
>  >>
>  >> I'm posting my patch for this bug again. It stills shows a 3-3.5
>  >> improvement over the current code in wid-edit.el, and together with the
>  >> changes Roland made, it brings the time needed to create the buffer from
>  >> 20+ seconds to about 4 seconds in my machine.
>  >>
>  >> Profiler data has not changed much from the ones I posted back then.
>  >
>  > There were no further comments, so I've now installed this on the
>  > master branch, thanks.
> 
> Thank you Eli.
> 
>  > Can we now close this bug, or is there anything left to do here?
> 
> I think this can be closed.

Done.

Subject: 29.0.50; Very slow Customize buffer for bibtex-biblatex-entry-alist
From: Lars Ingebrigtsen <[email-masked]>
To: [email-masked]
Date: Fri, 28 Jan 2022 16:03:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

`M-x customize-option RET bibtex-biblatex-entry-alist RET'

takes a very long time -- more than 20 seconds on this laptop.  It's a
long alist, but it shouldn't take that long.

In GNU Emacs 29.0.50 (build 9, x86_64-pc-linux-gnu, GTK+ Version 3.24.31, cairo version 1.16.0)
 of 2022-01-24 built on giant
Repository revision: 77b72f77b3a5d13fc6e71746dee2cf68305057e2
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12014000
System Description: Debian GNU/Linux bookworm/sid

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no